Page MenuHomeMiraheze

Import Nonsensopedia from wikia
Closed, ResolvedPublic

Description

Per email this user would like us to migrate there wiki from wikia to miraheze.

Link: http://nonsensopedia.wikia.com/wiki/Specjalna:Statystyka

They would like us to transfer the database to miraheze.

Details

Commits
Unknown Object (Diffusion Commit)
Unknown Object (Diffusion Commit)

Event Timeline

Paladox created this task.May 30 2018, 21:29
revi triaged this task as Normal priority.May 30 2018, 21:35
revi moved this task from Incoming to misc-mediawiki on the revi board.May 30 2018, 21:48
revi added a commit: Unknown Object (Diffusion Commit).May 30 2018, 21:48
revi added a comment.May 31 2018, 12:33

Import is failing with below error (tried twice, same error, I assume.)

[ef62e83067fea1cbb7e121a2] [no req]   MWException from line 871 of /srv/mediawiki/w/includes/import/WikiImporter.php: The text of the revision with ID 797859 exceeds the maximum allowable size (2048 KB)
Backtrace:
#0 /srv/mediawiki/w/includes/import/WikiImporter.php(843): WikiImporter->processRevision(array, array)
#1 /srv/mediawiki/w/includes/import/WikiImporter.php(785): WikiImporter->handleRevision(array)
#2 /srv/mediawiki/w/includes/import/WikiImporter.php(594): WikiImporter->handlePage()
#3 /srv/mediawiki/w/maintenance/importDump.php(329): WikiImporter->doImport()
#4 /srv/mediawiki/w/maintenance/importDump.php(271): BackupReader->importFromHandle(resource)
#5 /srv/mediawiki/w/maintenance/importDump.php(108): BackupReader->importFromFile(string)
#6 /srv/mediawiki/w/maintenance/doMaintenance.php(92): BackupReader->execute()
#7 /srv/mediawiki/w/maintenance/importDump.php(334): require_once(string)
#8 {main}
revi added a commit: Unknown Object (Diffusion Commit).May 31 2018, 18:06

Fixed by 17bc0500. Proceeding.

@revi Status?

Also why the Operations tag?

revi reassigned this task from revi to Paladox.Jun 1 2018, 07:36
revi added a subscriber: revi.

@Reception123 It's really big wiki (XML size of 7GB), give plenty of time for the import.

And @Paladox took over the import process while I was sleeping. Reassigning.

Paladox added a comment.Jun 2 2018, 13:27

It's still importing, currently on 6,785 and more to import.

Paladox added a comment.Jun 3 2018, 22:17

It has imported currently 15524 (1.83 pages/sec 58.27 revs/sec) (still importing though)

Paladox added a comment.Jun 4 2018, 12:03

it's currently on 20147 and the total is 64 690

sorry that this will take a while to import.

MacFan4000 changed the task status from Open to Stalled.Jun 8 2018, 00:09
MacFan4000 added a subscriber: MacFan4000.
This comment was removed by MacFan4000.
labster changed the task status from Stalled to Open.Jun 8 2018, 01:08
labster added a subscriber: labster.

Verified that a user emailed us this database, and that Miraheze did not use any form of scraper to retrieve this data. As such, there is no reason to halt this request at this time.

There are still 1 018 241 migrated edits. Is it halted?

Paladox changed the task status from Open to Stalled.Jun 8 2018, 18:33

Hi, this wiki has now imported and we are running scripts to populate the db now.

MacFan4000 changed the task status from Stalled to Open.Jun 8 2018, 19:44
Paladox closed this task as Resolved.Jun 9 2018, 01:05

This wiki has been imported now, your free to edit it.